Subject: [Fot] Spitfire oversized alternator pulley/water pump pulley

From: Jerry Poole <[email-masked]>
Date: Wed, 2 Jul 2014 18:14:25 -0500

Could anyone on the forum please direct me to a source for  oversized
pulleys for a Denso alternator and  a stock 1500 water pump?  Does
anyone remove any of the vanes from the stock 1500cc water pump to
prevent cavitation or slow down the water flow?  This will be used on
a vintage race car.  Appreciate any insight and information and
thanks.  Jerry
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive